List unassigned connections
curl --request GET \
--url https://api.example.com/v1/management/connections/unassigned \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/management/connections/unassigned"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/management/connections/unassigned', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"configName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"databaseName": "<string>",
"host": "<string>",
"id": "<string>",
"port": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"metadata": {},
"productName": "<string>",
"schema": "<string>",
"ssl": {
"mode": "<string>"
}
}
],
"limit": 123,
"total": 123,
"page": 123
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}List unassigned connections
List connections that have no product assigned, useful for migration purposes.
GET
/
v1
/
management
/
connections
/
unassigned
List unassigned connections
Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Page number; defaults to 1.
Example:
1
Page size; defaults to 10 and is capped at 100.
Example:
10
Sort direction.
Available options:
asc, desc Example:
"desc"
Inclusive creation date in YYYY-MM-DD format.
Example:
"2026-01-01"
Inclusive final creation date in YYYY-MM-DD format.
Example:
"2026-01-31"
Response
OK
Connections returned for this page.
Show child attributes
Show child attributes
Example:
[
{
"configName": "production-db",
"createdAt": "2026-01-15T10:30:00Z",
"databaseName": "mydatabase",
"host": "db.example.com",
"id": "018f47a6-3e5f-7b9a-8c1d-2e3f4a5b6c7d",
"metadata": {
"environment": "production",
"region": "us-east-1"
},
"port": 5432,
"productName": "midaz",
"schema": "public",
"ssl": { "mode": "require" },
"type": "POSTGRESQL",
"updatedAt": "2026-01-16T14:45:00Z",
"userName": "dbuser"
}
]
Maximum items returned per page.
Example:
10
Total matching connections.
Example:
10
Current page number.
Example:
1
Was this page helpful?
⌘I

